local fn = _gn(0x2B3451FA1E3142E2)
--- Checks against a global variable that is set by _SET_WORLD_WATER_TYPE. If it's set to 1 (Guarma) it will fail.
-- See TEST_PROBE_AGAINST_ALL_WATER.
function Global.TestVerticalProbeAgainstAllWater(x, y, z, flags, waterHeight)
	return _in2(fn, x, y, z, flags, _fi(waterHeight) --[[ may be optional ]], _ri)
end
